# Update from 7.11 to 7.12

## Notice

__GitLab CI 7.12 requires GitLab 7.12 or higher and GitLab Multi Runner 0.4.0 or higher

### 1. Stop CI server

    sudo service gitlab_ci stop

### 2. Update ruby if needed

If your ruby version is older than 2.0.0 please update it.

Update packages:

    sudo apt-get update
    sudo apt-get upgrade

Download Ruby and compile it:

    mkdir /tmp/ruby && cd /tmp/ruby
    curl --progress http://cache.ruby-lang.org/pub/ruby/ruby-2.1.6.tar.bz2 | tar xj
    cd ruby-2.1.6/
    ./configure --disable-install-rdoc
    make
    sudo make install

Install the Bundler Gem:

    sudo gem install bundler --no-ri --no-rdoc

### 3. Switch to your gitlab_ci user

```
sudo su gitlab_ci
cd /home/gitlab_ci/gitlab-ci
```

### 4. Get latest code

```
git fetch
git checkout 7-12-stable
```

### 5. Install libs, migrations etc


```
# Install nodejs dependency:
sudo apt-get install nodejs

# For MySQL users
bundle install --without postgres development test --deployment

# For Postgres users
bundle install --without mysql development test --deployment

# Run migrations
bundle exec rake db:migrate RAILS_ENV=production
```


### 6. Start web application

    sudo service gitlab_ci start
