# Update from 7.9 to 7.10

## Notice

__GitLab CI 7.10 requires GitLab 7.10 or higher and GitLab CI Runner v5__

### 1. stop CI server

    sudo service gitlab_ci stop

### 2. Switch to your gitlab_ci user

```
sudo su gitlab_ci
cd /home/gitlab_ci/gitlab-ci
```

### 3. Get latest code

```
git fetch
git checkout 7-10-stable
```

#### Redis config

If you have `config/resque.yml` file - please update it with recent `config/resque.yml.example`

### 4. Install libs, migrations etc


```
# Install nodejs dependency:
sudo apt-get install nodejs

# For MySQL users
bundle install --without postgres development test --deployment

# For Postgres users
bundle install --without mysql development test --deployment

# Run migrations
bundle exec rake db:migrate RAILS_ENV=production
```


### 5. Start web application

    sudo service gitlab_ci start
